$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.24.6.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.24.6.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'C165AEFCF064930ADAD22DB08544D2CABC0829BD859B77E637D975E671AAAB16'
  checksumType = 'sha256'
  checksum64 = 'C165AEFCF064930ADAD22DB08544D2CABC0829BD859B77E637D975E671AAAB16'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.24.6-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
